{ lib, config, pkgs, ... }:

let
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";                  # Nix Packages
in
{
    imports = [ <nixpkgs/nixos/modules/virtualisation/qemu-vm.nix> ];
    virtualisation = {
      podman ={
        enable = true;
        autoPrune.enable = true;
      };
      memorySize = 4096;
      diskSize = 10240;
    };

    services.gitea-actions-runner.instances = {
        nixrunner-test = {
            enable = true;
            url = "https://git.kabtop.de";
            name = "nix_runner_test";
            #tokenFile = "./gitea_token";
            token = "vlUBkX5IbJKTBO3HAGqFM1fEOw2UqXpX87LcdJRY";
            labels = [ 
              "debian-latest:docker://node:18-bullseye"
            ];
        };
    };
    users.users.root.initialPassword = "babablup";
    system.stateVersion = "23.11";
}
